## com.vividsolutions.jts.geom.util
Class PointExtracter

    java.lang.Object
      com.vividsolutions.jts.geom.util.PointExtracter

All Implemented Interfaces:
  GeometryFilter

public class PointExtracter
extends java.lang.Object
implements GeometryFilter

Extracts all the 0-dimensional (`Point`) components from a `Geometry`.

Version:
  1.7
See Also:
  `GeometryExtracter`

Constructor Summary
`PointExtracter(java.util.List pts)` Constructs a PointExtracterFilter with a list in which to store Points found.

Method Summary
`void` `filter(Geometry geom)` Performs an operation with or on `geom`.
`static java.util.List` `getPoints(Geometry geom)` Extracts the `Point` elements from a single `Geometry` and returns them in a `List`.
`static java.util.List` `getPoints(Geometry geom, java.util.List list)` Extracts the `Point` elements from a single `Geometry` and adds them to the provided `List`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointExtracter

    public PointExtracter(java.util.List pts)

  Constructs a PointExtracterFilter with a list in which to store Points found.

Method Detail

### getPoints

    public static java.util.List getPoints(Geometry geom,
                                           java.util.List list)

  Extracts the `Point` elements from a single `Geometry` and adds them to the provided `List`.

  Parameters:
    `geom` - the geometry from which to extract
    `list` - the list to add the extracted elements to

### getPoints

    public static java.util.List getPoints(Geometry geom)

  Extracts the `Point` elements from a single `Geometry` and returns them in a `List`.

  Parameters:
    `geom` - the geometry from which to extract

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.